# $Id: ettercap.spec,v 1.16 2002/11/21 10:17:13 homyakov Exp $

Name:       ettercap
Version:    0.6.7
Release:    alt3

Summary:    %name is a ncurses-based sniffer/interceptor utility
Summary(ru_RU.KOI8-R):     
Source:     http://%name.sourceforge.net/download/%{name}-%{version}.tar.gz
URL:        http://%name.sourceforge.net/
License:    GPL
Group:      Security/Networking

BuildRequires: libncurses-devel libssl-devel libtinfo-devel openssl termutils

%description
ettercap is a network sniffer/interceptor/logger for ethernet LANs (both 
switched or not). It supports active and passive dissection of many protocols 
(even ciphered ones, like SSH and HTTPS). Data injection in an established 
connection and filtering (substitute or drop a packet) on the fly is also 
possible, keeping the connection sincronized. Many sniffing modes were 
implemented to give you a powerful and complete sniffing suite. Plugins are 
supported. It has the ability to check whether you are in a switched LAN or not,
and to use OS fingerprints (active or passive) to let you know the geometry of 
the LAN. The passive scan of the lan retrives infos about: hosts in the lan, 
open ports, services version, type of the host (gateway, router or simple host)
and extimated distance in hop. 

%description -l ru_RU.KOI8-R
%name -      ()  ethernet . 
           (switches).
    (  )  
      (HTTPS  SSH). 
 ""       
" ".      .

%package plugins
Summary: plugins for %name
Summary(ru_RU.KOI8-R):     %name

Group:	 Security/Networking
Requires: %name

%description plugins
Plugins for ettercap packet sniffer.

%description -l ru_RU.KOI8-R plugins 
    %name

%prep
%setup -q

%build
%configure 

%__subst '/COPTS/ s@-I/usr/include@@' Makefile    


%make_build all plug-ins 
%install
%make_install install plug-ins_install DESTDIR=%buildroot

%files
     %_sbindir/*
%dir %_datadir/%name
     %_datadir/%name/*
     %_man8dir/*
%doc COPYING README AUTHORS TODO THANKS 
%doc KNOWN-BUGS docs/

%files plugins
%dir %_libdir/%name
     %_libdir/%name/*
%doc README.PLUGINS

%changelog
* Sat Nov 16 2002 Igor Homyakov <homyakov at altlinux dot ru> 0.6.7-alt3
- removed dependency to wget
- added ownership for directories

* Mon Oct 21 2002 Stanislav Ievlev <inger@altlinux.ru> 0.6.7-alt2
- cleanup spec
- added packager Tag
- rebuild with gcc3.

* Wed Jul 17 2002 Igor Homyakov <homyakov at altlinux dot ru> 0.6.7-alt1
- 0.6.7

* Thu May 30 2002 Igor Homyakov <homyakov@altlinux.ru> 0.6.6.6-alt1
- 0.6.6.6

* Mon Apr 15 2002 Igor Homyakov <homyakov@altlinux.ru> 0.6.4-alt1
- build 0.6.4
- spec file cleanup 

* Thu Jan 31 2002 Igor Homyakov <homyakov@altlinux.ru> alt2
- Cleanup spec file

* Sat Dec 29 2001 Igor Homyakov <homyakov@altlinux.ru> alt1
- build 0.6.3.1

* Wed Nov 14 2001 Igor Homyakov <homyakov@altlinux.ru> alt1 
- build package for ALTLinux
